# Uses of Class
org.apache.lucene.queryparser.ext.Extensions

Packages that use Extensions
Package
Description
org.apache.lucene.queryparser.ext
Extendable QueryParser provides a simple and flexible extension mechanism by overloading query field names.

- ## Uses of Extensions in org.apache.lucene.queryparser.ext

  Constructors in org.apache.lucene.queryparser.ext with parameters of type Extensions
  Modifier
  Constructor
  Description
  ``
  `ExtendableQueryParser(String f, Analyzer a, Extensions ext)`
  Creates a new `ExtendableQueryParser` instance